# saga::detail::create_default< saga::stream::stream > Struct Template Reference

`#include <stream.hpp>`

List of all members.

## Static Public Member Functions
static saga::stream::stream * | call ()
template<typename T_>
static void | call (T_ *obj)

### template<>
struct saga::detail::create_default< saga::stream::stream >

## Member Function Documentation

static saga::stream::stream* saga::detail::create_default< saga::stream::stream >::call | ( |  | ) | `[inline, static]`

template<typename T_>

static void saga::detail::create_default< saga::stream::stream >::call | ( | T_ * | obj | ) | `[inline, static]`

The documentation for this struct was generated from the following file:

- packages/stream/stream.hpp